VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmAccessPV 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Access PassView ActiveX Sample"
   ClientHeight    =   1545
   ClientLeft      =   1365
   ClientTop       =   2865
   ClientWidth     =   7785
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1545
   ScaleWidth      =   7785
   Begin MSComDlg.CommonDialog OpenFilename 
      Left            =   6720
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.CommandButton cmdGetPassword 
      Caption         =   "Get Password"
      Height          =   405
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   1575
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "Browse..."
      Height          =   315
      Left            =   6480
      TabIndex        =   1
      Top             =   240
      Width           =   1095
   End
   Begin VB.TextBox txtFilename 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   6255
   End
End
Attribute VB_Name = "frmAccessPV"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdBrowse_Click()
    On Error GoTo cancel1
    'Show the open dialog.
    OpenFilename.DefaultExt = "mdb"
    OpenFilename.DialogTitle = "Select Microsoft Access File"
    OpenFilename.Filter = "Microsoft Access Files (*.mdb)|*.mdb|All Files (*.*)|*.*||"
    OpenFilename.Flags = cdlOFNExplorer Or cdlOFNFileMustExist Or cdlOFNHideReadOnly
    OpenFilename.ShowOpen
    txtFilename.Text = OpenFilename.FileName
    Exit Sub
cancel1:
End Sub

Private Sub cmdGetPassword_Click()
    Dim objAccessPassView           As Object
    Dim strPassword                 As String
    
    On Error GoTo err1
    'Create the Access PassView object.
    Set objAccessPassView = CreateObject("NirSoft.AccessPassView")
    'Retrieve the database password.
    strPassword = objAccessPassView.GetPassword(txtFilename.Text)
    
    If Len(strPassword) = 0 Then
        MsgBox "The database is not protected by password", vbOKOnly Or vbInformation
    Else
        MsgBox "The password is " & strPassword, vbOKOnly Or vbInformation
    End If
    
    Set objAccessPassView = Nothing
    Exit Sub
err1:
    MsgBox "Error " & Err.Number & ": " & Err.Description, vbExclamation Or vbOKOnly, "Error"
    Set objAccessPassView = Nothing
End Sub
